## com.gargoylesoftware.htmlunit.html
Class HtmlIsIndex

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.DomNode
          com.gargoylesoftware.htmlunit.html.DomNamespaceNode
              com.gargoylesoftware.htmlunit.html.DomElement
                  com.gargoylesoftware.htmlunit.html.HtmlElement
                      com.gargoylesoftware.htmlunit.html.StyledElement
                          com.gargoylesoftware.htmlunit.html.HtmlIsIndex

All Implemented Interfaces:
  SubmittableElement, java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.Node

    public class HtmlIsIndex

extends StyledElement
implements SubmittableElement

Wrapper for the HTML element "isindex". Note that this element has been deprecated in the HTML spec.

Version:
  $Revision: 4097 $
Author:
  Mike Bowler, David K. Taylor, Christian Sell, Daniel Gredler, Ahmed Ashour
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.gargoylesoftware.htmlunit.html.HtmlElement
`HtmlElement.ChildElementsIterator`

Nested classes/interfaces inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`DomNode.ChildIterator, DomNode.DescendantElementsIterator`

Field Summary
`static java.lang.String` `TAG_NAME` The HTML tag represented by this element.

Fields inherited from class com.gargoylesoftware.htmlunit.html.HtmlElement
`TAB_INDEX_OUT_OF_BOUNDS`

Fields inherited from class com.gargoylesoftware.htmlunit.html.DomElement
`ATTRIBUTE_NOT_DEFINED, ATTRIBUTE_VALUE_EMPTY`

Fields inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`AS_TEXT_BLANK, AS_TEXT_BLOCK_SEPARATOR, AS_TEXT_NEW_LINE, AS_TEXT_TAB, PROPERTY_ELEMENT, READY_STATE_COMPLETE, READY_STATE_INTERACTIVE, READY_STATE_LOADED, READY_STATE_LOADING, READY_STATE_UNINITIALIZED`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getDefaultValue()` Returns the default value to use when this element gets reset, if applicable.
`java.lang.String` `getPromptAttribute()` Returns the value of the attribute "prompt".
`org.apache.commons.httpclient.NameValuePair[]` `getSubmitKeyValuePairs()` Returns an array of `NameValuePair`s that are the values that will be sent back to the server whenever this element's containing form is submitted.
`java.lang.String` `getValue()` Returns the value that would be send during submission of a form.
`boolean` `isDefaultChecked()` Returns the default checked state to use when this element gets reset, if applicable.
`void` `reset()` Returns the value of this element to the default value or checked state (usually what it was at the time the page was loaded, unless it has been modified via JavaScript).
`void` `setDefaultChecked(boolean defaultChecked)` Sets the default checked state to use when this element gets reset, if applicable.
`void` `setDefaultValue(java.lang.String defaultValue)` Sets the default value to use when this element gets reset, if applicable.
`void` `setValue(java.lang.String newValue)` Sets the value that will be returned during submission of a form.

Methods inherited from class com.gargoylesoftware.htmlunit.html.StyledElement
`getClassAttribute, getIdAttribute, getStyleAttribute, getTitleAttribute`

Methods inherited from class com.gargoylesoftware.htmlunit.html.HtmlElement

`addHtmlAttributeChangeListener, appendChildIfNoneExists, blur, checkChildHierarchy, click, click, click, dblClick, dblClick, doClickAction, doType, fireEvent, fireEvent, fireHtmlAttributeAdded, fireHtmlAttributeRemoved, fireHtmlAttributeReplaced, focus, getChildElements, getElementById, getElementsByAttribute, getEnclosingElement, getEnclosingForm, getEnclosingFormOrDie, getEventHandler, getHtmlElementsByTagName, getHtmlElementsByTagNames, getId, getLangAttribute, getNodeName, getOnClickAttribute, getOnDblClickAttribute, getOneHtmlElementByAttribute, getOnKeyDownAttribute, getOnKeyPressAttribute, getOnKeyUpAttribute, getOnMouseDownAttribute, getOnMouseMoveAttribute, getOnMouseOutAttribute, getOnMouseOverAttribute, getOnMouseUpAttribute, getTabIndex, getTextDirectionAttribute, getXmlLangAttribute, hasHtmlElementWithId, isAttributeCaseSensitive, isStateUpdateFirst, isSubmittableByEnter, mouseDown, mouseDown, mouseMove, mouseMove, mouseOut, mouseOut, mouseOver, mouseOver, mouseUp, mouseUp, preventDefault, removeAttribute, removeChild, removeEventHandler, removeHtmlAttributeChangeListener, rightClick, rightClick, setAttributeNS, setEventHandler, setEventHandler, setId, toString, type, type, type, type`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomElement

`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getAttributesMap, getElementsByTagName, getElementsByTagNameNS, getNodeType, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEmptyXmlTagExpanded, namespaces, printOpeningTagContentAsXml, printXml, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomNamespaceNode
`getLocalName, getNamespaceURI, getPrefix, getQualifiedName, setPrefix`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomNode

`addDomChangeListener, appendChild, asText, asXml, compareDocumentPosition, fireNodeAdded, fireNodeDeleted, getAllHtmlChildElements, getAncestors, getBaseURI, getByXPath, getCanonicalXPath, getChildNodes, getChildren, getEndColumnNumber, getEndLineNumber, getFeature, getFirstByXPath, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getPage, getParentNode, getPreviousSibling, getReadyState, getScriptObject, getStartColumnNumber, getStartLineNumber, getTextContent, getUserData, hasChildNodes, insertBefore, insertBefore, isAncestorOf, isBlock, isDefaultNamespace, isDisplayed, isEqualNode, isSameNode, isSupported, isTrimmedText, lookupNamespaceURI, lookupPrefix, normalize, notifyIncorrectness, onAddedToPage, onAllChildrenAddedToPage, printChildrenAsXml, remove, removeAllChildren, removeChild, removeDomChangeListener, replace, replaceChild, selectNodes, selectSingleNode, setNextSibling, setNodeValue, setParentNode, setPreviousSibling, setReadyState, setScriptObject, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node

`appendChild, compareDocumentPosition, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Field Detail

### TAG_NAME

    public static final java.lang.String TAG_NAME

  The HTML tag represented by this element.

  See Also:
    Constant Field Values

Method Detail

### setValue

    public void setValue(java.lang.String newValue)

  Sets the value that will be returned during submission of a form.

  Parameters:
    `newValue` - the value

### getValue

    public java.lang.String getValue()

  Returns the value that would be send during submission of a form.

  Returns:
    the value

### getSubmitKeyValuePairs

    public org.apache.commons.httpclient.NameValuePair[] getSubmitKeyValuePairs()

  Returns an array of `NameValuePair`s that are the values that will be sent back to the server whenever this element's containing form is submitted.

  THIS METHOD IS INTENDED FOR THE USE OF THE FRAMEWORK ONLY AND SHOULD NOT BE USED BY CONSUMERS OF HTMLUNIT. USE AT YOUR OWN RISK.

  Specified by:
    `getSubmitKeyValuePairs` in interface `SubmittableElement`
  Returns:
    the values that will be sent back to the server whenever this element's containing form is submitted

### reset

    public void reset()

  Returns the value of this element to the default value or checked state (usually what it was at the time the page was loaded, unless it has been modified via JavaScript).

  Specified by:
    `reset` in interface `SubmittableElement`
  See Also:
    `SubmittableElement.reset()`

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

  Sets the default value to use when this element gets reset, if applicable.

  Specified by:
    `setDefaultValue` in interface `SubmittableElement`
  Parameters:
    `defaultValue` - the default value to use when this element gets reset, if applicable
  See Also:
    `SubmittableElement.setDefaultValue(String)`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Returns the default value to use when this element gets reset, if applicable.

  Specified by:
    `getDefaultValue` in interface `SubmittableElement`
  Returns:
    the default value to use when this element gets reset, if applicable
  See Also:
    `SubmittableElement.setDefaultValue(String)`

### setDefaultChecked

    public void setDefaultChecked(boolean defaultChecked)

  Sets the default checked state to use when this element gets reset, if applicable. This implementation is empty; only checkboxes and radio buttons really care what the default checked value is.

  Specified by:
    `setDefaultChecked` in interface `SubmittableElement`
  Parameters:
    `defaultChecked` - the default checked state to use when this element gets reset, if applicable
  See Also:
    `SubmittableElement.setDefaultChecked(boolean)`, `HtmlRadioButtonInput.setDefaultChecked(boolean)`, `HtmlCheckBoxInput.setDefaultChecked(boolean)`

### isDefaultChecked

    public boolean isDefaultChecked()

  Returns the default checked state to use when this element gets reset, if applicable. This implementation returns `false`; only checkboxes and radio buttons really care what the default checked value is.

  Specified by:
    `isDefaultChecked` in interface `SubmittableElement`
  Returns:
    the default checked state to use when this element gets reset, if applicable
  See Also:
    `SubmittableElement.isDefaultChecked()`, `HtmlRadioButtonInput.isDefaultChecked()`, `HtmlCheckBoxInput.isDefaultChecked()`

### getPromptAttribute

    public final java.lang.String getPromptAttribute()

  Returns the value of the attribute "prompt". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "prompt" or an empty string if that attribute isn't defined

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.